## WebKitDOMProcessingInstruction WebKitDOMProcessingInstruction |

## Functions

gchar * | webkit_dom_processing_instruction_get_target ()
WebKitDOMStyleSheet * | webkit_dom_processing_instruction_get_sheet ()

## Properties

WebKitDOMStyleSheet * | sheet | Read
gchar * | target | Read

## Types and Values

| WebKitDOMProcessingInstruction

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMNode
                ╰── WebKitDOMCharacterData
                    ╰── WebKitDOMProcessingInstruction

## Implemented Interfaces

WebKitDOMProcessingInstruction implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_processing_instruction_get_target ()

    gchar *
    webkit_dom_processing_instruction_get_target
                                   (WebKitDOMProcessingInstruction *self);

#### Parameters

self | A WebKitDOMProcessingInstruction |

#### Returns

A gchar

### webkit_dom_processing_instruction_get_sheet ()

    WebKitDOMStyleSheet *
    webkit_dom_processing_instruction_get_sheet
                                   (WebKitDOMProcessingInstruction *self);

#### Parameters

self | A WebKitDOMProcessingInstruction |

#### Returns

A WebKitDOMStyleSheet.

[transfer full]

## Types and Values

### WebKitDOMProcessingInstruction

    typedef struct _WebKitDOMProcessingInstruction WebKitDOMProcessingInstruction;

## Property Details

### The `“sheet”` property

      “sheet”                    WebKitDOMStyleSheet *

read-only WebKitDOMStyleSheet* ProcessingInstruction:sheet.

Flags: Read

### The `“target”` property

      “target”                   gchar *

read-only gchar* ProcessingInstruction:target.

Flags: Read

Default value: ""